import type { Prisma } from '../../generated/prisma';
import * as z from 'zod';
import { PdfGroupIncludeObjectSchema as PdfGroupIncludeObjectSchema } from './objects/PdfGroupInclude.schema';
import { PdfGroupOrderByWithRelationInputObjectSchema as PdfGroupOrderByWithRelationInputObjectSchema } from './objects/PdfGroupOrderByWithRelationInput.schema';
import { PdfGroupWhereInputObjectSchema as PdfGroupWhereInputObjectSchema } from './objects/PdfGroupWhereInput.schema';
import { PdfGroupWhereUniqueInputObjectSchema as PdfGroupWhereUniqueInputObjectSchema } from './objects/PdfGroupWhereUniqueInput.schema';
import { PdfGroupScalarFieldEnumSchema } from './enums/PdfGroupScalarFieldEnum.schema';

// Select schema needs to be in file to prevent circular imports
//------------------------------------------------------

export const PdfGroupFindManySelectSchema: z.ZodType<Prisma.PdfGroupSelect> = z.object({
    id: z.boolean().optional(),
    title: z.boolean().optional(),
    titleKey: z.boolean().optional(),
    createdAt: z.boolean().optional(),
    patientId: z.boolean().optional(),
    patient: z.boolean().optional(),
    pdfs: z.boolean().optional(),
    _count: z.boolean().optional()
  }).strict() as unknown as z.ZodType<Prisma.PdfGroupSelect>;

export const PdfGroupFindManySelectZodSchema = z.object({
    id: z.boolean().optional(),
    title: z.boolean().optional(),
    titleKey: z.boolean().optional(),
    createdAt: z.boolean().optional(),
    patientId: z.boolean().optional(),
    patient: z.boolean().optional(),
    pdfs: z.boolean().optional(),
    _count: z.boolean().optional()
  }).strict();

export const PdfGroupFindManySchema: z.ZodType<Prisma.PdfGroupFindManyArgs> = z.object({ select: PdfGroupFindManySelectSchema.optional(), include: z.lazy(() => PdfGroupIncludeObjectSchema.optional()), orderBy: z.union([PdfGroupOrderByWithRelationInputObjectSchema, PdfGroupOrderByWithRelationInputObjectSchema.array()]).optional(), where: PdfGroupWhereInputObjectSchema.optional(), cursor: PdfGroupWhereUniqueInputObjectSchema.optional(), take: z.number().optional(), skip: z.number().optional(), distinct: z.union([PdfGroupScalarFieldEnumSchema, PdfGroupScalarFieldEnumSchema.array()]).optional() }).strict() as unknown as z.ZodType<Prisma.PdfGroupFindManyArgs>;

export const PdfGroupFindManyZodSchema = z.object({ select: PdfGroupFindManySelectSchema.optional(), include: z.lazy(() => PdfGroupIncludeObjectSchema.optional()), orderBy: z.union([PdfGroupOrderByWithRelationInputObjectSchema, PdfGroupOrderByWithRelationInputObjectSchema.array()]).optional(), where: PdfGroupWhereInputObjectSchema.optional(), cursor: PdfGroupWhereUniqueInputObjectSchema.optional(), take: z.number().optional(), skip: z.number().optional(), distinct: z.union([PdfGroupScalarFieldEnumSchema, PdfGroupScalarFieldEnumSchema.array()]).optional() }).strict();